/**
 * Products counted by their type and characteristics.
 * Products can have multiple types and characteristics so adding all the
 * individual counts may not add up to the total count.
 * The totalDistinct count the number products not part of another product
 * like with a bundle.
 * Also note this is a product count not an order line count.
 *
 * @export
 * @interface IProductCountByType
 */
export interface IProductCountByType {
    bundle: number;
    cancelled: number;
    configurable: number;
    discount: number;
    giftCard: number;
    nonDiscount: number;
    service: number;
    total: number;
    totalAbsolute: number;
    totalDistinct: number;
    totalDistinctAbsolute: number;
}
export declare function countOrderProductsByType({ order, }: {
    order: EVA.Core.OrderDto | undefined;
}): IProductCountByType;
//# sourceMappingURL=product-count-by-type.d.ts.map