import { IEvaServiceDefinition } from '@springtree/eva-services-core';
import { IAnonymousServiceState } from '../builders/build-anonymous-service-state.js';
import { IServiceState } from '../builders/build-service-state.js';
/**
 * This hook provides synchronous access to a service error response.
 * The error will be unset as soon as the service returns to its loadable state.
 *
 * @template SVC
 * @param {({
 *     serviceState: IServiceState<SVC>|IAnonymousServiceState<SVC>,
 *     defaultValue?: SVC['response'],
 *   })} {
 *     serviceState,
 *     defaultValue,
 *   }
 * @returns
 */
export declare const useGetServiceError: <SVC extends IEvaServiceDefinition>(serviceState: IServiceState<SVC> | IAnonymousServiceState<SVC>) => Error | undefined;
export default useGetServiceError;
//# sourceMappingURL=use-get-service-error.d.ts.map