import { IEvaServiceDefinition } from '@springtree/eva-services-core';
import { IAnonymousServiceState } from '../builders/build-anonymous-service-state.js';
import { IServiceState } from '../builders/build-service-state.js';
/**
 * This hook provides synchronous access to a service request and will keep
 * the previous request while loading.
 *
 * @template SVC
 * @param {({
 *     serviceState: IServiceState<SVC>|IAnonymousServiceState<SVC>,
 *     defaultValue?: SVC['request'],
 *   })} {
 *     serviceState,
 *     defaultValue,
 *   }
 * @returns
 */
export declare const useGetServiceRequest: <SVC extends IEvaServiceDefinition>(serviceState: IServiceState<SVC> | IAnonymousServiceState<SVC>, defaultValue?: SVC['request']) => SVC["request"] | undefined;
export default useGetServiceRequest;
//# sourceMappingURL=use-get-service-request.d.ts.map