import { IEvaServiceDefinition } from '@springtree/eva-services-core';
import { IAnonymousServiceState } from '../builders/build-anonymous-service-state.js';
import { IServiceState } from '../builders/build-service-state.js';
/**
 * This hook provides synchronous access to a service response and will keep
 * the previous response while loading.
 *
 * @template SVC
 * @param {({
 *     serviceState: IServiceState<SVC>|IAnonymousServiceState<SVC>,
 *     defaultValue?: SVC['response'],
 *   })} {
 *     serviceState,
 *     defaultValue,
 *   }
 * @returns
 */
export declare const useGetServiceResponse: <SVC extends IEvaServiceDefinition>(serviceState: IServiceState<SVC> | IAnonymousServiceState<SVC>, defaultValue?: SVC['response']) => SVC["response"] | undefined;
export default useGetServiceResponse;
//# sourceMappingURL=use-get-service-response.d.ts.map