import { RecoilValue } from 'recoil';
/**
 * This hooks provides stable access to any generic state.
 * It will persist the current value while the state is pending.
 * Can be used for non-service based derived state.
 *
 * @template T
 * @param {RecoilValue<T>} genericState
 * @param {T} [defaultValue]
 * @returns
 */
export declare const useGetState: <T = unknown>(genericState: RecoilValue<T>, defaultValue?: T) => T | undefined;
export default useGetState;
//# sourceMappingURL=use-get-state.d.ts.map