import { IEvaServiceDefinition } from '@springtree/eva-services-core';
import { IServiceState } from '../builders/build-service-state.js';
/**
 * This hook provides synchronous access to enable service request persistence.
 * Prevents the need for a React.Suspense when you just want to enable storage.
 *
 * @template SVC
 * @param {({
 *     serviceState: IServiceState<SVC>|IAnonymousServiceState<SVC>,
 *     defaultValue?: SVC['response'],
 *   })} {
 *     serviceState,
 *     defaultValue,
 *   }
 * @returns
 */
export declare const useServiceRequestPersistence: <SVC extends IEvaServiceDefinition>(serviceState: IServiceState<SVC>) => void;
export default useServiceRequestPersistence;
//# sourceMappingURL=use-service-request-persistence.d.ts.map